\name{WoundResponse}
\alias{WoundResponse}
\docType{data}
\title{ Genes Associated with Wound Response}
\description{
  It has been noted that some cancers behave as if they are wounds that
  do not heal and that the host response to these cancers is similar to
  that of a wound response. These genes have been identified as being
  associated with wound response.
}
\usage{data(WoundResponse)}
\format{
  A data frame with 772 observations on the following 5 variables.
  \describe{
    \item{\code{CloneID}}{The IMAGE clone used on the microarray.}
    \item{\code{UGCluster}}{The Unigene Cluster ID.}
    \item{\code{Symbol}}{The gene symbol.}
    \item{\code{Redundant}}{Indication of a gene included two or more times.}
    \item{\code{CSR}}{Indicates the relationship to core serum
      response. A value of 2 indicates the gene was actived, a value of
      zero indicates the gene is associated with the cell cycle (and
      hence is not likely to be of interest), a value of -2 indicates
      that the gene was repressed in core serum response.}
  }
}
\details{
  The data were reported in XXX.
}
\source{
  Not sure.
}
\references{
 Not sure.
}
\examples{
data(WoundResponse)
table(WoundResponse$CSR)
}
\keyword{datasets}
